Package org.eclipse.birt.chart.datafeed

# Class AbstractDataPointDefinition

java.lang.Object
org.eclipse.birt.chart.datafeed.AbstractDataPointDefinition

All Implemented Interfaces:
  `IDataPointDefinition`

public abstract class AbstractDataPointDefinition extends Object implements IDataPointDefinition
The abstract class implements an adapter for subclass.

## Constructor Summary

Constructors
Constructor
Description
`AbstractDataPointDefinition()`

## Method Summary

Modifier and Type
Method
Description
`int`
`getCompatibleDataType(String type)`
Check if data type of specified component type is any.
`String[]`
`getDataPointTypes()`
Creates and returns a data types array.
`String`
`getDisplayText(String type)`
Returns the externalized text for display

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AbstractDataPointDefinition

public AbstractDataPointDefinition()

## Method Details

### getDataPointTypes

public String[] getDataPointTypes()
Description copied from interface: `IDataPointDefinition`
Creates and returns a data types array.

Specified by:
  `getDataPointTypes` in interface `IDataPointDefinition`
Returns:
  data types

### getDisplayText

public String getDisplayText(String type)
Description copied from interface: `IDataPointDefinition`
Returns the externalized text for display

Specified by:
  `getDisplayText` in interface `IDataPointDefinition`
Parameters:
  `type` - data type
Returns:
  display text

### getCompatibleDataType

public int getCompatibleDataType(String type)
Description copied from interface: `IDataPointDefinition`
Check if data type of specified component type is any.

Specified by:
  `getCompatibleDataType` in interface `IDataPointDefinition`
Parameters:
  `type` - component type
Returns:
  the compatible data types, it's a combination of (IConstants.NUMERICAL, IConstants.TEXT and IConstants.DATE_TIME).